
// HX711 - Version: Latest 
#include <HX711.h>
#include <LiquidCrystal.h>

LiquidCrystal lcd(12, 11, 5, 4, 3, 2);
// libraries - Version: Latest 
#include <hx711.h>

#include "HX711.h"

HX711 scale;

int cel_body;

void setup() {
  Serial.begin(9600);
  lcd.begin(16, 2);
  lcd.print("Welcome!");
  
  //Serial.println("HX711 Demo");

  Serial.println("Initializing the scale");
  // parameter "gain" is ommited; the default value 128 is used by the library
  // HX711.DOUT	- pin #A1
  // HX711.PD_SCK	- pin #A0
  scale.begin(A2, A3);
  
  Serial.println("Before setting up the scale:");
  
  Serial.print("read: \t\t");
  Serial.println(scale.read());			// print a raw reading from the ADC

  Serial.print("read average: \t\t");
  Serial.println(scale.read_average(20));  	// print the average of 20 readings from the ADC

  Serial.print("get value: \t\t");
  Serial.println(scale.get_value(5));		// print the average of 5 readings from the ADC minus the tare weight (not set yet)

  Serial.print("get units: \t\t");
  Serial.println(scale.get_units(5), 1);	// print the average of 5 readings from the ADC minus tare weight (not set) divided
						// by the SCALE parameter (not set yet)

  scale.set_scale(650303);                      // this value is obtained by calibrating the scale with known weights; see the README for details
  scale.tare();				        // reset the scale to 0

  Serial.println("After setting up the scale:");

  Serial.print("read: \t\t");
  Serial.println(scale.read());                 // print a raw reading from the ADC

  Serial.print("read average: \t\t");
  Serial.println(scale.read_average(20));       // print the average of 20 readings from the ADC

  Serial.print("get value: \t\t");
  Serial.println(scale.get_value(5));		// print the average of 5 readings from the ADC minus the tare weight, set with tare()

  Serial.print("get units: \t\t");
  Serial.println(scale.get_units(5), 1);        // print the average of 5 readings from the ADC minus tare weight, divided
						// by the SCALE parameter set with set_scale

  Serial.println("Readings:");
}

void loop() {
  lcd.clear();
  
  Serial.print("one reading:\t");
  Serial.print(scale.get_units(), 3);
  Serial.print("\t| average:\t");
  Serial.println(scale.get_units(10), 3);
 
  switch (cel_body){
    case 0:
      lcd.setCursor(0,0);
      lcd.print("Earth: ");
      lcd.setCursor(7,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(12,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*9.81, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 1:
      lcd.setCursor(0,0);
      lcd.print("Mercury: ");
      lcd.setCursor(9,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(14,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*3.7, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 2:
      lcd.setCursor(0,0);
      lcd.print("Venus: ");
      lcd.setCursor(7,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(12,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*8.87, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 3:
      lcd.setCursor(0,0);
      lcd.print("Mars: ");
      lcd.setCursor(7,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(12,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*3.71, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 4:
      lcd.setCursor(0,0);
      lcd.print("Jupiter: ");
      lcd.setCursor(9,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(14,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*24.79, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 5:
      lcd.setCursor(0,0);
      lcd.print("Saturn: ");
      lcd.setCursor(9,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(14,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*10.44, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 6:
      lcd.setCursor(0,0);
      lcd.print("Uranus: ");
      lcd.setCursor(9,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(14,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*8.87, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 7:
      lcd.setCursor(0,0);
      lcd.print("Neptune: ");
      lcd.setCursor(9,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(14,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*11.15, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 8:
      lcd.setCursor(0,0);
      lcd.print("Moon: ");
      lcd.setCursor(7,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(12,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*1.62, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
    case 9:
      lcd.setCursor(0,0);
      lcd.print("Sun: ");
      lcd.setCursor(6,0);
      lcd.print(scale.get_units(10), 3);
      lcd.setCursor(11,0);
      lcd.print("kg");
      lcd.setCursor(2,1);
      lcd.print(scale.get_units(10)*274, 3);
      lcd.setCursor(10,1);
      lcd.print("N");
      break;
  }
  
  ++cel_body;
  if (cel_body>9){
    cel_body = 0;
  }
  scale.power_down();			        // put the ADC in sleep mode
  delay(5000);
  scale.power_up();
}

